## org.apache.lucene.analysis.payloads
Class AbstractEncoder

    java.lang.Object
      org.apache.lucene.analysis.payloads.AbstractEncoder

All Implemented Interfaces:
  PayloadEncoder

Direct Known Subclasses:
  FloatEncoder, IdentityEncoder, IntegerEncoder

    public abstract class AbstractEncoder

extends Object
implements PayloadEncoder

Base class for payload encoders.

Constructor Summary
`AbstractEncoder()`

Method Summary
`org.apache.lucene.index.Payload` `encode(char[] buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder
`encode`

Constructor Detail

### AbstractEncoder

    public AbstractEncoder()

Method Detail

### encode

    public org.apache.lucene.index.Payload encode(char[] buffer)

  Specified by:
    `encode` in interface `PayloadEncoder`